ASA-201710-32 generated external raw

[ASA-201710-32] apr: information disclosure
Arch Linux Security Advisory ASA-201710-32 ========================================== Severity: Medium Date : 2017-10-27 CVE-ID : CVE-2017-12613 Package : apr Type : information disclosure Remote : Yes Link : https://security.archlinux.org/AVG-469 Summary ======= The package apr before version 1.6.3-1 is vulnerable to information disclosure. Resolution ========== Upgrade to 1.6.3-1. # pacman -Syu "apr>=1.6.3-1" The problem has been fixed upstream in version 1.6.3. Workaround ========== None. Description =========== When apr_exp_time*() or apr_os_exp_time*() functions are invoked with an invalid month field value in APR 1.6.2 and prior, out of bounds memory may be accessed in converting this value to an apr_time_exp_t value, potentially revealing the contents of a different static heap value or resulting in program termination, and may represent an information disclosure or denial of service vulnerability to applications which call these APR functions with unvalidated external input. Impact ====== A remote attacker can access sensitive information or cause a denial of service by submitting specially crafted input. References ========== https://mail-archives.apache.org/mod_mbox/apr-dev/201710.mbox/%3CCACsi252POs4toeJJciwg09_eu2cO3XFg%3DUqsPjXsfjDoeC3-UQ%40mail.gmail.com%3E https://security.archlinux.org/CVE-2017-12613